## BluetoothChooserCombo

BluetoothChooserCombo — a Bluetooth chooser combo button

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkWidget * | bluetooth_chooser_combo_new ()

## Properties

BluetoothChooser * | chooser | Read
char * | device | Read / Write

## Signals

void | chooser-created | Run Last

## Types and Values

#define | BLUETOOTH_CHOOSER_COMBO_FIRST_DEVICE
| BluetoothChooserCombo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── BluetoothChooserCombo

## Implemented Interfaces

BluetoothChooserCombo implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <bluetooth-chooser-combo.h>

## Description

A combo box used to select Bluetooth devices.

## Functions

### bluetooth_chooser_combo_new ()

    GtkWidget *
    bluetooth_chooser_combo_new (void);

Returns a new BluetoothChooserCombo widget.

#### Returns

a BluetoothChooserCombo widget.

## Types and Values

### BLUETOOTH_CHOOSER_COMBO_FIRST_DEVICE

    #define BLUETOOTH_CHOOSER_COMBO_FIRST_DEVICE "00:00:00:00:00:00"

A convenience value used to select the first device regardless of its address.

### BluetoothChooserCombo

    typedef struct _BluetoothChooserCombo BluetoothChooserCombo;

## Property Details

### The `“chooser”` property

      “chooser”                  BluetoothChooser *

The BluetoothChooser used in the widget

Owner: BluetoothChooserCombo

Flags: Read

### The `“device”` property

      “device”                   char *

The Bluetooth address of the selected device or `NULL`

Owner: BluetoothChooserCombo

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“chooser-created”` signal

    void
    user_function (BluetoothChooserCombo *self,
                   GObject               *chooser,
                   gpointer               user_data)

The signal is sent when a popup dialogue is created for the user to select a device. This signal allows you to change the configuration and filtering of the tree from its defaults.

#### Parameters

self | a BluetoothChooserCombo widget |
chooser | a BluetoothChooser widget |
user_data | user data set when the signal handler was connected. |

Flags: Run Last